incubator-cassandra-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Carsten Schnober <schno...@ids-mannheim.de>
Subject Re: Hector (was: Java high-level client)
Date Tue, 27 Nov 2012 16:06:27 GMT
Am 27.11.2012 16:40, schrieb Peter Lin:

Hi Peter,
thanks for your prompt reply!

> I use hector-client master, which is pretty stable right now.

Please excuse my ignorance, but just to be sure I'd like to ask: does
"hector-client master" differ from the Hector client linked from the
Cassandra Wiki
(http://hector-client.github.com/hector/build/html/index.html)?

> It uses the latest thrift, so you can use hector with thrift 0.9.0.
> That's assuming you don't mind using the active development branch.

In fact, I would prefer a stable version, but I could live with that for
the time being. However, the homepage does not speak very clearly about
versions and the most recent one I could find in the Git repository is
1.0-5. It does not look like a development branch, but it's hard to tell.

Regarding Thrift, I've just assumed that this is where the problem lies
because I get an IncompatibleClassChangeError exception upon querying
the database. According to [1], this could be due to different Thrift
versions.

Best,
Carsten

[1]
https://groups.google.com/forum/?fromgroups=#!topic/hector-users/wrab7Yxms18


-- 
Institut für Deutsche Sprache | http://www.ids-mannheim.de
Projekt KorAP                 | http://korap.ids-mannheim.de
Tel. +49-(0)621-43740789      | schnober@ids-mannheim.de
Korpusanalyseplattform der nächsten Generation
Next Generation Corpus Analysis Platform

Mime
View raw message